io.vertx.rxjava.ext.web.handler.graphql

## Class GraphQLHandlerBuilder

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.graphql.GraphQLHandlerBuilder

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class GraphQLHandlerBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  A builder for `GraphQLHandler` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GraphQLHandlerBuilder>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphQLHandlerBuilder(GraphQLHandlerBuilder delegate)`
    `GraphQLHandlerBuilder(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphQLHandlerBuilder` | `beforeExecute(Handler<ExecutionInputBuilderWithContext<RoutingContext>> beforeExecuteHandler)` Set a callback to invoke before executing a GraphQL query.
    `GraphQLHandler` | `build()`
    `boolean` | `equals(Object o)`
    `GraphQLHandlerBuilder` | `getDelegate()`
    `int` | `hashCode()`
    `static GraphQLHandlerBuilder` | `newInstance(GraphQLHandlerBuilder arg)`
    `String` | `toString()`
    `GraphQLHandlerBuilder` | `with(GraphQLHandlerOptions options)` Change the `GraphQLHandlerOptions` to use.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GraphQLHandlerBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### GraphQLHandlerBuilder

          public GraphQLHandlerBuilder(GraphQLHandlerBuilder delegate)

    - #### GraphQLHandlerBuilder

          public GraphQLHandlerBuilder(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public GraphQLHandlerBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### with

          public GraphQLHandlerBuilder with(GraphQLHandlerOptions options)

      Change the `GraphQLHandlerOptions` to use.
      Parameters:
        `options` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### beforeExecute

          public GraphQLHandlerBuilder beforeExecute(Handler<ExecutionInputBuilderWithContext<RoutingContext>> beforeExecuteHandler)

      Set a callback to invoke before executing a GraphQL query.
      Parameters:
        `beforeExecuteHandler` - the callback to invoke
      Returns:
        a reference to this, so the API can be used fluently

    - #### build

          public GraphQLHandler build()

      Returns:
        a new instance of `GraphQLHandler`

    - #### newInstance

          public static GraphQLHandlerBuilder newInstance(GraphQLHandlerBuilder arg)

Copyright © 2025 Eclipse. All rights reserved.